<template>
  <div>
    <div class="max-w-md w-full lg:flex">
      <div
        class="h-48 lg:h-auto lg:w-48 flex-none bg-cover rounded-t lg:rounded-t-none lg:rounded-l text-center overflow-hidden"
        style="background-image: url('https://res.cloudinary.com/dla6p0kbo/image/upload/v1539050513/samples/ecommerce/leather-bag-gray.jpg')"
        title="Woman holding a mug"
      ></div>
      <div
        class="border-r border-b border-l border-grey-light lg:border-l-0 lg:border-t lg:border-grey-light bg-white rounded-b lg:rounded-b-none lg:rounded-r p-4 flex flex-col justify-between leading-normal"
      >
        <div class="mb-8">
          <p class="text-sm text-grey-dark flex items-center">
            <svg
              class="fill-current text-grey w-3 h-3 mr-2"
              xmlns="http://www.w3.org/2000/svg"
              viewBox="0 0 20 20"
            >
              <path
                d="M4 8V6a6 6 0 1 1 12 0v2h1a2 2 0 0 1 2 2v8a2 2 0 0 1-2 2H3a2 2 0 0 1-2-2v-8c0-1.1.9-2 2-2h1zm5 6.73V17h2v-2.27a2 2 0 1 0-2 0zM7 6v2h6V6a3 3 0 0 0-6 0z"
              ></path>
            </svg>
            Members only
          </p>
          <div class="text-black font-bold text-xl mb-2">Can coffee make you a better developer?</div>
          <p
            class="text-grey-darker text-base"
          >Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus quia, nulla! Maiores et perferendis eaque, exercitationem praesentium nihil.</p>
        </div>
        <div class="flex items-center">
          <div class="text-sm">
            <p class="text-black leading-none"></p>
            <p class="text-grey-dark">Aug 18</p>
          </div>
        </div>
      </div>
    </div>

    <ul v-for="cow in cows" v-bind:key="cow.name">
      <!-- <p>
        <router-link :to="'/cows/' + cow.name">{{ cow.name }}</router-link>
      </p>-->
      <div class="max-w-md w-full lg:flex">
        <div
          class="h-48 lg:h-auto lg:w-48 flex-none bg-cover rounded-t lg:rounded-t-none lg:rounded-l text-center overflow-hidden"
          style="background-image: url('https://res.cloudinary.com/dla6p0kbo/image/upload/f_auto,q_auto:low/v1539050513/samples/ecommerce/leather-bag-gray.jpg')"
          title="Woman holding a mug"
        ></div>
        <div
          class="border-r border-b border-l border-grey-light lg:border-l-0 lg:border-t lg:border-grey-light bg-white rounded-b lg:rounded-b-none lg:rounded-r p-4 flex flex-col justify-between leading-normal"
        >
          <div class="mb-8">
            <p class="text-sm text-grey-dark flex items-center">
              <svg
                class="fill-current text-grey w-3 h-3 mr-2"
                xmlns="http://www.w3.org/2000/svg"
                viewBox="0 0 20 20"
              >
                <path
                  d="M4 8V6a6 6 0 1 1 12 0v2h1a2 2 0 0 1 2 2v8a2 2 0 0 1-2 2H3a2 2 0 0 1-2-2v-8c0-1.1.9-2 2-2h1zm5 6.73V17h2v-2.27a2 2 0 1 0-2 0zM7 6v2h6V6a3 3 0 0 0-6 0z"
                ></path>
              </svg>
              Members only
            </p>
            <div class="text-black font-bold text-xl mb-2">Can coffee make you a better developer?</div>
            <p
              class="text-grey-darker text-base"
            >Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus quia, nulla! Maiores et perferendis eaque, exercitationem praesentium nihil.</p>
          </div>
          <div class="flex items-center">
            <div class="text-sm">
              <p class="text-black leading-none">
                <router-link rel="preload" :to="'/cows/' + cow.name">{{ cow.name }}</router-link>
              </p>
              <p class="text-grey-dark">Aug 18</p>
            </div>
          </div>
        </div>
      </div>
    </ul>
  </div>
</template>

<script>
  import db from "~/plugins/firebase.js";
  export default {
    transition: "bounce",
    data() {
      return {
        cows: null
      };
    },
    firestore: {
      cows: db.collection("users/x/cows")
    }
  };
</script>

<style scoped>
</style>